#
# spec file for package qt4-qtscript
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define date 20111225

Name:           qt4-qtscript
Version:        0.2.0
Release:        12.34
Summary:        Qt bindings generator for Qt Script
License:        SUSE-LGPL-2.1-with-nokia-exception-1.1
Group:          Development/Libraries/KDE
Url:            http://code.google.com/p/qtscriptgenerator/
Source0:        qtscriptgenerator-src-%{version}.tar.gz
Patch0:         qtscript-qt-no_phonon.diff
Patch1:         gcc-44.diff
Patch2:         qtscript-separate-webkit.patch
Patch3:         fix-arm-build.diff
BuildRequires:  libQtWebKit-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_eq    libqt4

%description
Qt Script Generator is a tool that generates Qt bindings for Qt Script.
With the generated bindings you get access to substantial portions of
the Qt API from within Qt Script.

%package doc
Summary:        Qt bindings generator for Qt Script
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}

%description doc
Qt Script Generator is a tool that generates Qt bindings for Qt Script.
With the generated bindings you get access to substantial portions of
the Qt API from within Qt Script.

%prep
%setup -q -n qtscriptgenerator-src-%{version}
%patch0
%patch1
%patch2
%ifarch %arm
%patch3
%endif

%build
export QTDIR=/usr
cd generator
qmake QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}
./generator
cd ../qtbindings
qmake QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}
cd ..

%install
# copying generated library files
# install doesn't do symlinks
mkdir -p %{buildroot}%{_libdir}/qt4/plugins/script/
cp -a plugins/script/libqtscript* %{buildroot}%{_libdir}/qt4/plugins/script/
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
install -c -m 644 README       %{buildroot}%{_defaultdocdir}/%{name}/README
install -c -m 644 LICENSE.LGPL  %{buildroot}%{_defaultdocdir}/%{name}/LICENSE.LGPL
# Copy generated docs in doc/ to doc directory
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/doc-html
cp -a doc/* %{buildroot}%{_defaultdocdir}/%{name}/doc-html/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/LICENSE.LGPL
%{_libdir}/qt4/plugins/script/libqtscript*

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/doc-html

%changelog
* Sun Sep  9 2012 schwab@linux-m68k.org
- Use %%{optflags} and %%{?_smp_mflags}
* Thu Jul 12 2012 adrian@suse.de
- fix arm build
* Thu Jan 26 2012 idonmez@suse.com
- Fix license to be SUSE-LGPL-2.1-with-nokia-exception-1.1
* Thu Jan 26 2012 tittiatcoke@gmail.com
- Update to version 0.2
  * Compatibility fixes with Qt 4.8
* Wed Oct 12 2011 cdenicolo@suse.com
- license update: GPL-2
  qt4-qtscript is GPL-2 only
* Tue Sep 27 2011 idonmez@suse.com
- Add qtscript-separate-webkit.patch to fix compilation with
  new QtWebKit 2.2
* Fri May 22 2009 dmueller@suse.de
- fix build with gcc 4.4
* Wed Mar 25 2009 dmueller@suse.de
- Rename to qt4-qtscript to match openSUSE naming sheme.
  Package is based on qtscript-qt written by Rex Dieter
  and Ian Monroe.
